Bug 182439 - mail/claws-mail vcalendar not displaying correctly.
mail/claws-mail vcalendar not displaying correctly.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 12:00 UTC by gerard
Modified: 2013-10-05 12:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gerard 2013-09-27 12:00:00 UTC
The "vcalendar" port for claws-mail "mail/claws-mail-vcalendar" is not displaying correctly. As can be seen on this screen shot <http://seibercom.net/Images/vcal.png>, the buttons to the right of the "STARTS" and "ENDS" boxes are grayed out. Also, the "Check Availability" button is grayed out. According to the Debian maintainer for the claws-mail-vcalendar-plugin, Ricardo Mones <mones@debian.org>, the port needs two apply these post-3.9.2 commits:

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=0c8fa959c3daf8fb002fbfc06260c4b4ca5d8f50

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=1b991ce1f05877ccd2d872da56cb55d1e1b0a3d1

The original Debian bug report is locate at: http://bugs.debian.org/711864

Fix: 

Possible apply the two post-3.9.2 commits (untested)
How-To-Repeat: Install and use the plug-in
Comment 1 Edwin Groothuis freebsd_committer 2013-09-27 16:53:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-10-05 12:25:50 UTC
Author: pawel
Date: Sat Oct  5 11:25:29 2013
New Revision: 329440
URL: http://svnweb.freebsd.org/changeset/ports/329440

Log:
  - Fix comboboxes vcalendar bug by adding upstream patches [1]
  - Add support for STAGEDIR
  - Properly set configure iconv args
  
  PR:		ports/182439 [1]
  Reported by:	Gerard Seibert <gerard@seibercom.net>

Added:
  head/mail/claws-mail-vcalendar/files/
  head/mail/claws-mail-vcalendar/files/patch-src__plugins__vcalendar__vcal_meeting_gtk.c   (contents, props changed)
  head/mail/claws-mail/files/patch-combobox_set_popdown_strings   (contents, props changed)
Modified:
  head/mail/claws-mail-address_keeper/Makefile
  head/mail/claws-mail-archiver/Makefile
  head/mail/claws-mail-att_remover/Makefile
  head/mail/claws-mail-attach_warner/Makefile
  head/mail/claws-mail-bogofilter/Makefile   (contents, props changed)
  head/mail/claws-mail-bsfilter/Makefile
  head/mail/claws-mail-clamd/Makefile
  head/mail/claws-mail-fancy/Makefile
  head/mail/claws-mail-fetchinfo/Makefile
  head/mail/claws-mail-gdata/Makefile
  head/mail/claws-mail-mailmbox/Makefile
  head/mail/claws-mail-newmail/Makefile
  head/mail/claws-mail-notification/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/claws-mail-perl/Makefile
  head/mail/claws-mail-pgp/Makefile   (contents, props changed)
  head/mail/claws-mail-python/Makefile
  head/mail/claws-mail-rssyl/Makefile
  head/mail/claws-mail-spamassassin/Makefile   (contents, props changed)
  head/mail/claws-mail-spamreport/Makefile
  head/mail/claws-mail-tnef/Makefile
  head/mail/claws-mail-vcalendar/Makefile
  head/mail/claws-mail/Makefile
  head/mail/claws-mail/Makefile.claws
  head/mail/claws-mail/pkg-plist

Modified: head/mail/claws-mail-address_keeper/Makefile
==============================================================================
--- head/mail/claws-mail-address_keeper/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-address_keeper/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Recipient addresses keeper plug
 
 CLAWS_PLUGINS_BUILD=	address_keeper
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-archiver/Makefile
==============================================================================
--- head/mail/claws-mail-archiver/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-archiver/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Mail archiver plugin for Claws 
 
 CLAWS_PLUGINS_BUILD=	archive
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-att_remover/Makefile
==============================================================================
--- head/mail/claws-mail-att_remover/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-att_remover/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Attachments removing plugin for
 
 CLAWS_PLUGINS_BUILD=	att_remover
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-attach_warner/Makefile
==============================================================================
--- head/mail/claws-mail-attach_warner/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-attach_warner/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Not attached file warning plugi
 
 CLAWS_PLUGINS_BUILD=	attachwarner
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-bogofilter/Makefile
==============================================================================
--- head/mail/claws-mail-bogofilter/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-bogofilter/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,6 +10,5 @@ RUN_DEPENDS=	bogofilter:${PORTSDIR}/mail
 
 CLAWS_PLUGINS_BUILD=	bogofilter
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-bsfilter/Makefile
==============================================================================
--- head/mail/claws-mail-bsfilter/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-bsfilter/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Spam filtering, bsfilter based 
 
 CLAWS_PLUGINS_BUILD=	bsfilter
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-clamd/Makefile
==============================================================================
--- head/mail/claws-mail-clamd/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-clamd/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,7 +10,6 @@ RUN_DEPENDS=	clamd:${PORTSDIR}/security/
 
 CLAWS_PLUGINS_BUILD=	clamd
 
-NO_STAGE=	yes
 post-install:
 	@${ECHO}
 	@${ECHO_CMD} "********************************************************************************"

Modified: head/mail/claws-mail-fancy/Makefile
==============================================================================
--- head/mail/claws-mail-fancy/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-fancy/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -11,6 +11,5 @@ LIB_DEPENDS=	libsoup-gnome-2.4.so:${PORT
 
 CLAWS_PLUGINS_BUILD=	fancy
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-fetchinfo/Makefile
==============================================================================
--- head/mail/claws-mail-fetchinfo/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-fetchinfo/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Header insertion plugin for Cla
 
 CLAWS_PLUGINS_BUILD=	fetchinfo
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-gdata/Makefile
==============================================================================
--- head/mail/claws-mail-gdata/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-gdata/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,6 +10,5 @@ LIB_DEPENDS=	libgdata.so:${PORTSDIR}/dev
 
 CLAWS_PLUGINS_BUILD=	gdata
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-mailmbox/Makefile
==============================================================================
--- head/mail/claws-mail-mailmbox/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-mailmbox/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Mbox maildir plugin for Claws M
 
 CLAWS_PLUGINS_BUILD=	mailmbox
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-newmail/Makefile
==============================================================================
--- head/mail/claws-mail-newmail/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-newmail/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	Message header summary logging 
 
 CLAWS_PLUGINS_BUILD=	newmail
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-notification/Makefile
==============================================================================
--- head/mail/claws-mail-notification/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-notification/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -11,6 +11,5 @@ LIB_DEPENDS=	libcanberra-gtk.so:${PORTSD
 
 CLAWS_PLUGINS_BUILD=	notification
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-pdf_viewer/Makefile
==============================================================================
--- head/mail/claws-mail-pdf_viewer/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-pdf_viewer/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -12,6 +12,5 @@ USE_GHOSTSCRIPT=yes
 
 CLAWS_PLUGINS_BUILD=	pdf_viewer
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-perl/Makefile
==============================================================================
--- head/mail/claws-mail-perl/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-perl/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -12,10 +12,10 @@ PLIST_FILES+=	share/claws-mail/matcherrc
 
 CLAWS_PLUGINS_BUILD=	perl
 
-NO_STAGE=	yes
 post-install:
-	@${INSTALL_SCRIPT} ${WRKSRC}/src/plugins/perl/tools/matcherrc2perlfilter.pl \
-		${PREFIX}/share/claws-mail/
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/claws-mail
+	${INSTALL_SCRIPT} ${WRKSRC}/src/plugins/perl/tools/matcherrc2perlfilter.pl \
+		${STAGEDIR}${PREFIX}/share/claws-mail/
 
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-pgp/Makefile
==============================================================================
--- head/mail/claws-mail-pgp/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-pgp/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,6 +10,5 @@ LIB_DEPENDS=	libgpgme.so:${PORTSDIR}/sec
 
 CLAWS_PLUGINS_BUILD=	pgpcore pgpinline pgpmime smime
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-python/Makefile
==============================================================================
--- head/mail/claws-mail-python/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-python/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,6 +10,5 @@ USE_GNOME=	pygtk2
 
 CLAWS_PLUGINS_BUILD=	python
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-rssyl/Makefile
==============================================================================
--- head/mail/claws-mail-rssyl/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-rssyl/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -9,6 +9,5 @@ COMMENT=	RSS/Atom feed reader plugin for
 
 CLAWS_PLUGINS_BUILD=	rssyl
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-spamassassin/Makefile
==============================================================================
--- head/mail/claws-mail-spamassassin/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-spamassassin/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -10,6 +10,5 @@ RUN_DEPENDS=	spamd:${PORTSDIR}/mail/p5-M
 
 CLAWS_PLUGINS_BUILD=	spamassassin
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-spamreport/Makefile
==============================================================================
--- head/mail/claws-mail-spamreport/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-spamreport/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,7 +8,6 @@ COMMENT=	Spam report plugin for Claws Ma
 
 CLAWS_PLUGINS_BUILD=	spam_report
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 PLIST_FILES:=	${PLIST_FILES:S|spam_report|spamreport|g}
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-tnef/Makefile
==============================================================================
--- head/mail/claws-mail-tnef/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-tnef/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -8,6 +8,5 @@ COMMENT=	TNEF attachment format parser p
 
 CLAWS_PLUGINS_BUILD=	tnef_parse
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Modified: head/mail/claws-mail-vcalendar/Makefile
==============================================================================
--- head/mail/claws-mail-vcalendar/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail-vcalendar/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -2,12 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	vcalendar
-PORTREVISION=	0
+PORTREVISION=	1
 
 COMMENT=	vCalendar plugin for Claws Mail
 
 CLAWS_PLUGINS_BUILD=	vcalendar
 
-NO_STAGE=	yes
 .include "../claws-mail/Makefile.claws"
 .include <bsd.port.mk>

Added: head/mail/claws-mail-vcalendar/files/patch-src__plugins__vcalendar__vcal_meeting_gtk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/claws-mail-vcalendar/files/patch-src__plugins__vcalendar__vcal_meeting_gtk.c	Sat Oct  5 11:25:29 2013	(r329440)
@@ -0,0 +1,71 @@
+--- ./src/plugins/vcalendar/vcal_meeting_gtk.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ ./src/plugins/vcalendar/vcal_meeting_gtk.c	2013-09-28 16:28:18.000000000 +0200
+@@ -1433,15 +1433,31 @@
+ 
+ 	times = get_predefined_times();
+ 
+-	meet->start_time 	= gtk_combo_box_entry_new_text ();
++#if !GTK_CHECK_VERSION(2, 24, 0)
++	meet->start_time = gtk_combo_box_entry_new_text();
++#else
++	meet->start_time = gtk_combo_box_text_new_with_entry();
++#endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(meet->start_time), -1);
+ 	menu = GTK_LIST_STORE(gtk_combo_box_get_model(GTK_COMBO_BOX(meet->start_time)));
++#if !GTK_CHECK_VERSION(2, 24, 0)	
+ 	combobox_set_popdown_strings(GTK_COMBO_BOX(meet->start_time), times);
+-
+-	meet->end_time 		= gtk_combo_box_entry_new_text ();
++#else	
++	combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(meet->start_time), times);
++#endif
++	
++#if !GTK_CHECK_VERSION(2, 24, 0)
++	meet->end_time = gtk_combo_box_entry_new_text();
++#else
++	meet->end_time = gtk_combo_box_text_new_with_entry();
++#endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(meet->end_time), -1);
+ 	menu = GTK_LIST_STORE(gtk_combo_box_get_model(GTK_COMBO_BOX(meet->end_time)));
++#if !GTK_CHECK_VERSION(2, 24, 0)	
+ 	combobox_set_popdown_strings(GTK_COMBO_BOX(meet->end_time), times);
++#else	
++	combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(meet->end_time), times);
++#endif
+ 
+ 	list_free_strings(times);
+ 	g_list_free(times);
+@@ -1597,12 +1613,14 @@
+ 	date_hbox = gtk_hbox_new(FALSE, 6);
+ 	date_vbox = gtk_vbox_new(FALSE, 6);
+ 	hbox = gtk_hbox_new(FALSE, 6);
+-	label = gtk_label_new(_("<b>Starts at:</b> ")); gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
++	label = gtk_label_new(_("<b>Starts at:</b> "));
++	gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
+ 	gtk_label_set_use_markup(GTK_LABEL(label), TRUE);
+ 	
+ 	gtk_box_pack_start(GTK_BOX(hbox), label, FALSE, FALSE, 0);
+ 	gtk_box_pack_start(GTK_BOX(hbox), meet->start_time, FALSE, FALSE, 0);
+-	label = gtk_label_new(_("<b> on:</b>")); gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
++	label = gtk_label_new(_("<b> on:</b>"));
++	gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
+ 	gtk_label_set_use_markup(GTK_LABEL(label), TRUE);
+ 	gtk_box_pack_start(GTK_BOX(hbox), label, FALSE, FALSE, 0);
+ 	gtk_box_pack_start(GTK_BOX(date_vbox), hbox, FALSE, FALSE, 0);
+@@ -1619,12 +1637,14 @@
+ 
+ 	date_vbox = gtk_vbox_new(FALSE, 6);
+ 	hbox = gtk_hbox_new(FALSE, 6);
+-	label = gtk_label_new(_("<b>Ends at:</b> ")); gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
++	label = gtk_label_new(_("<b>Ends at:</b> ")); 
++	gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
+ 	gtk_label_set_use_markup(GTK_LABEL(label), TRUE);
+ 	
+ 	gtk_box_pack_start(GTK_BOX(hbox), label, FALSE, FALSE, 0);
+ 	gtk_box_pack_start(GTK_BOX(hbox), meet->end_time, FALSE, FALSE, 0);
+-	label = gtk_label_new(_("<b> on:</b>")); gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
++	label = gtk_label_new(_("<b> on:</b>")); 
++	gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
+ 	gtk_label_set_use_markup(GTK_LABEL(label), TRUE);
+ 	gtk_box_pack_start(GTK_BOX(hbox), label, FALSE, FALSE, 0);
+ 	gtk_box_pack_start(GTK_BOX(date_vbox), hbox, FALSE, FALSE, 0);

Modified: head/mail/claws-mail/Makefile
==============================================================================
--- head/mail/claws-mail/Makefile	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail/Makefile	Sat Oct  5 11:25:29 2013	(r329440)
@@ -2,6 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	claws-mail
+PORTREVISION=	1
 CATEGORIES=	mail news ipv6
 
 COMMENT=	Lightweight and very featureful GTK+ based e-mail and news client
@@ -13,11 +14,9 @@ LIB_DEPENDS=	libexecinfo.so:${PORTSDIR}/
 RUN_DEPENDS=	${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
 
 USE_GNOME=	gtk20
-USES=		iconv pathfix
+USES=		pathfix
 INSTALLS_ICONS=	yes
 
-MAN1=		claws-mail.1
-
 OPTIONS_DEFINE=	COMPFACE DEBUG DOCS ENCHANT IPV6 JPILOT LDAP \
 		MANUAL NLS STARTUP THEMES
 OPTIONS_SUB=	yes
@@ -59,7 +58,6 @@ STARTUP_LIB_DEPENDS=	libstartup-notifica
 
 THEMES_RUN_DEPENDS=	${LOCALBASE}/share/claws-mail/themes/ZX-0_1.1/down_arrow.xpm:${PORTSDIR}/x11-themes/claws-mail-themes
 
-NO_STAGE=	yes
 .include "Makefile.claws"
 .include <bsd.port.options.mk>
 
@@ -78,14 +76,12 @@ post-patch:
 		${REINPLACE_CMD} -e "s|/usr/bin/perl|${PERL}|" $$f; done
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for i in NEWS RELEASE_NOTES README TODO
-	@${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${i} ${STAGEDIR}${DOCSDIR}
 .endfor
-	@${INSTALL_DATA} ${WRKSRC}/tools/README ${DOCSDIR}/README.tools
-.endif
-	@${MKDIR} ${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/tools/README ${STAGEDIR}${DOCSDIR}/README.tools
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 	cd ${WRKSRC}/tools && \
 		${INSTALL_SCRIPT} OOo2claws-mail.pl acroread2claws-mail.pl \
 		calypso_convert.pl convert_mbox.pl eud2gc.py filter_conv.pl \
@@ -96,6 +92,6 @@ post-install:
 		nautilus2claws-mail.sh outlook2claws-mail.pl tb2claws-mail \
 		tbird2claws.py textviewer.pl textviewer.sh \
 		thunderbird-filters-convertor.pl uudec uuooffice vcard2xml.py \
-		${DATADIR}
+		${STAGEDIR}${DATADIR}
 
 .include <bsd.port.mk>

Modified: head/mail/claws-mail/Makefile.claws
==============================================================================
--- head/mail/claws-mail/Makefile.claws	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail/Makefile.claws	Sat Oct  5 11:25:29 2013	(r329440)
@@ -9,11 +9,10 @@ MAINTAINER=	pawel@FreeBSD.org
 LICENSE=	GPLv3
 
 USE_BZIP2=	yes
-USES+=		gmake pkgconfig
+USES+=		gmake iconv pkgconfig
 GNU_CONFIGURE=	yes
 
-CONFIGURE_ARGS=	--with-libiconv-prefix=${LOCALBASE} \
-		--disable-dbus
+CONFIGURE_ARGS=	${ICONV_CONFIGURE_ARG} --disable-dbus
 
 CLAWS_PLUGINS=	acpi_notifier \
 		address_keeper \
@@ -56,6 +55,7 @@ RUN_DEPENDS+=	claws-mail>=${PORTVERSION}
 
 MASTERDIR=	${.CURDIR}/../../mail/claws-mail
 DESCR=		${.CURDIR}/pkg-descr
+FILESDIR=	${.CURDIR}/files
 PLIST=		${NONEXISTENT}
 PKGMESSAGE=	${.CURDIR}/pkg-message
 
@@ -73,7 +73,7 @@ do-build:
 
 do-install:
 .  for p in ${CLAWS_PLUGINS_BUILD}
-	cd ${WRKSRC}/src/plugins/${p} && ${GMAKE} install
+	cd ${WRKSRC}/src/plugins/${p} && ${GMAKE} install DESTDIR="${STAGEDIR}"
 .  endfor
 
 .endif

Added: head/mail/claws-mail/files/patch-combobox_set_popdown_strings
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/claws-mail/files/patch-combobox_set_popdown_strings	Sat Oct  5 11:25:29 2013	(r329440)
@@ -0,0 +1,361 @@
+--- src/gtk/inputdialog.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/gtk/inputdialog.c	2013-10-04 23:12:25.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Hiroyuki Yamamoto and the Claws Mail team
++ * Copyright (C) 1999-2013 Hiroyuki Yamamoto and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -197,10 +197,13 @@
+ 	gtk_widget_show(icon_q);
+ 	gtk_widget_hide(icon_p);
+ 	is_pass = FALSE;
+-
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 	combobox_unset_popdown_strings(GTK_COMBO_BOX(combo));
+ 	combobox_set_popdown_strings(GTK_COMBO_BOX(combo), list);
+-
++#else
++	combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(combo));
++	combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(combo), list);
++#endif
+ 	return input_dialog_open(title, message, NULL, default_string, FALSE, remember);
+ }
+ 
+--- src/gtk/quicksearch.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/gtk/quicksearch.c	2013-10-04 23:12:25.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Claws Mail -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Colin Leroy <colin@colino.net> 
++ * Copyright (C) 1999-2013 Colin Leroy <colin@colino.net> 
+  * and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+@@ -208,14 +208,23 @@
+ {
+ 	GtkWidget *search_string_entry = quicksearch->search_string_entry;
+ 
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 	combobox_unset_popdown_strings(GTK_COMBO_BOX(search_string_entry));
+-
+ 	if (prefs_common.summary_quicksearch_type == ADVANCED_SEARCH_EXTENDED)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(search_string_entry),
+ 			quicksearch->extended_search_strings);	
+ 	else
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(search_string_entry),
+ 			quicksearch->normal_search_strings);
++#else
++	combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(search_string_entry));	
++	if (prefs_common.summary_quicksearch_type == ADVANCED_SEARCH_EXTENDED)
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(search_string_entry),
++			quicksearch->extended_search_strings);	
++	else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(search_string_entry),
++			quicksearch->normal_search_strings);
++#endif
+ }
+ 
+ static void update_extended_buttons (QuickSearch *quicksearch)
+--- src/editaddress.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/editaddress.c	2013-10-04 23:12:25.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Hiroyuki Yamamoto and the Claws Mail team
++ * Copyright (C) 1999-2013 Hiroyuki Yamamoto and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -1366,9 +1366,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(entry_name), -1);
+ 	if (prefs_common.addressbook_custom_attributes)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(entry_name),
+ 				prefs_common.addressbook_custom_attributes);
+-
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(entry_name),
++				prefs_common.addressbook_custom_attributes);		
++#endif
+ 	/* Button box */
+ 	vboxb = gtk_vbox_new( FALSE, 4 );
+ 	gtk_box_pack_start(GTK_BOX(hbox), vboxb, FALSE, FALSE, 2);
+@@ -1760,10 +1764,19 @@
+ void addressbook_edit_reload_attr_list( void )
+ {
+ 	if (personeditdlg.entry_atname) {
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_unset_popdown_strings(GTK_COMBO_BOX(personeditdlg.entry_atname));
++#else		
++		combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(personeditdlg.entry_atname));
++#endif
+ 		if (prefs_common.addressbook_custom_attributes)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 			combobox_set_popdown_strings(GTK_COMBO_BOX(personeditdlg.entry_atname),
+ 					prefs_common.addressbook_custom_attributes);
++#else		
++			combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(personeditdlg.entry_atname),
++					prefs_common.addressbook_custom_attributes);
++#endif
+ 	}
+ }
+ 
+--- src/compose.c.orig	2013-06-08 21:58:31.000000000 +0200
++++ src/compose.c	2013-10-04 23:12:25.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Hiroyuki Yamamoto and the Claws Mail team
++ * Copyright (C) 1999-2013 Hiroyuki Yamamoto and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -930,11 +930,20 @@
+ {
+ 	GtkEditable *entry;
+ 	if (folderidentifier) {
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_unset_popdown_strings(GTK_COMBO_BOX(compose->savemsg_combo));
++#else
++		combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(compose->savemsg_combo));
++#endif
+ 		prefs_common.compose_save_to_history = add_history(
+ 				prefs_common.compose_save_to_history, folderidentifier);
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(compose->savemsg_combo),
+ 				prefs_common.compose_save_to_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(compose->savemsg_combo),
++				prefs_common.compose_save_to_history);
++#endif
+ 	}
+ 
+ 	entry = GTK_EDITABLE(gtk_bin_get_child(GTK_BIN(compose->savemsg_combo)));
+@@ -952,11 +961,20 @@
+ 	result = gtk_editable_get_chars(entry, 0, -1);
+ 	
+ 	if (result) {
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_unset_popdown_strings(GTK_COMBO_BOX(compose->savemsg_combo));
++#else
++		combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(compose->savemsg_combo));
++#endif
+ 		prefs_common.compose_save_to_history = add_history(
+ 				prefs_common.compose_save_to_history, result);
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(compose->savemsg_combo),
+ 				prefs_common.compose_save_to_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(compose->savemsg_combo),
++				prefs_common.compose_save_to_history);
++#endif
+ 	}
+ 	return result;
+ }
+@@ -6709,7 +6727,7 @@
+ 	GtkCellRenderer *cell = gtk_cell_renderer_text_new();
+ 	gtk_cell_renderer_set_alignment(cell, 0.0, 0.5);
+ 	gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(combo), cell, TRUE);
+-	gtk_combo_box_set_entry_text_column(combo, 0);
++	gtk_combo_box_set_entry_text_column(GTK_COMBO_BOX(combo), 0);
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(combo), 0);
+ 	g_signal_connect(G_OBJECT(gtk_bin_get_child(GTK_BIN(combo))), "grab_focus",
+@@ -7077,9 +7095,13 @@
+ 	gtk_widget_show(savemsg_combo);
+ 
+ 	if (prefs_common.compose_save_to_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(savemsg_combo),
+ 				prefs_common.compose_save_to_history);
+-
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(savemsg_combo),
++				prefs_common.compose_save_to_history);
++#endif
+ 	gtk_table_attach(GTK_TABLE(table), savemsg_combo, 1, 2, rowcount, rowcount + 1, GTK_FILL|GTK_EXPAND, GTK_SHRINK, 0, 0);
+ 	gtk_widget_set_sensitive(GTK_WIDGET(savemsg_combo), prefs_common.savemsg);
+ 	g_signal_connect_after(G_OBJECT(savemsg_combo), "grab_focus",
+--- src/message_search.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/message_search.c	2013-10-04 23:12:25.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Hiroyuki Yamamoto and the Claws Mail team
++ * Copyright (C) 1999-2013 Hiroyuki Yamamoto and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -193,8 +193,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(body_entry), -1);
+ 	if (prefs_common.message_search_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(body_entry),
+ 				prefs_common.message_search_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(body_entry),
++				prefs_common.message_search_history);
++#endif
+ 	gtk_widget_show (body_entry);
+ 	gtk_box_pack_start (GTK_BOX (hbox1), body_entry, TRUE, TRUE, 0);
+ 	g_signal_connect(G_OBJECT(body_entry), "changed",
+@@ -290,11 +295,20 @@
+ 	if (!body_str || *body_str == '\0') return;
+ 
+ 	/* add to history */
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 	combobox_unset_popdown_strings(GTK_COMBO_BOX(search_window.body_entry));
++#else
++	combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(search_window.body_entry));
++#endif
+ 	prefs_common.message_search_history = add_history(
+ 			prefs_common.message_search_history, body_str);
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 	combobox_set_popdown_strings(GTK_COMBO_BOX(search_window.body_entry),
+ 			prefs_common.message_search_history);
++#else
++	combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(search_window.body_entry),
++			prefs_common.message_search_history);
++#endif
+ 
+ 	case_sens = gtk_toggle_button_get_active
+ 		(GTK_TOGGLE_BUTTON(search_window.case_checkbtn));
+--- src/prefs_matcher.c.orig	2013-04-27 09:06:57.000000000 +0200
++++ src/prefs_matcher.c	2013-10-04 23:12:26.000000000 +0200
+@@ -655,7 +655,7 @@
+ 	GtkCellRenderer *cell = gtk_cell_renderer_text_new();
+ 	gtk_cell_renderer_set_alignment(cell, 0.0, 0.5);
+ 	gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(headers_combo), cell, TRUE);
+-	gtk_combo_box_set_entry_text_column(headers_combo, 0);
++	gtk_combo_box_set_entry_text_column(GTK_COMBO_BOX(headers_combo), 0);
+ #endif
+ 	gtk_widget_set_size_request(headers_combo, 100, -1);
+ 	gtk_box_pack_start(GTK_BOX(upper_hbox), headers_combo, TRUE, TRUE, 0);
+--- src/prefs_toolbar.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/prefs_toolbar.c	2013-10-04 23:12:26.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 2002-2012 Hiroyuki Yamamoto & the Claws Mail team
++ * Copyright (C) 2002-2013 Hiroyuki Yamamoto & the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -382,8 +382,13 @@
+ 	GHashTable **hash;
+ 
+ 	prefs_toolbar->combo_action_list = toolbar_get_action_items(prefs_toolbar->source);
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 	combobox_set_popdown_strings(GTK_COMBO_BOX(prefs_toolbar->item_func_combo),
+ 				     prefs_toolbar->combo_action_list);
++#else
++	combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(prefs_toolbar->item_func_combo),
++				     prefs_toolbar->combo_action_list);
++#endif
+ 	
+ 	/* get currently defined sylpheed actions */
+ 	if (prefs_common.actions_list != NULL) {
+--- src/summary_search.c.orig	2013-03-19 07:31:04.000000000 +0100
++++ src/summary_search.c	2013-10-04 23:12:26.000000000 +0200
+@@ -1,6 +1,6 @@
+ /*
+  * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
+- * Copyright (C) 1999-2012 Hiroyuki Yamamoto and the Claws Mail team
++ * Copyright (C) 1999-2013 Hiroyuki Yamamoto and the Claws Mail team
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+@@ -181,10 +181,17 @@
+ 
+ 	if (result && result[0] != '\0') {
+ 		/* add to history */
+-
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_unset_popdown_strings(GTK_COMBO_BOX(from));
++#else
++		combobox_unset_popdown_strings(GTK_COMBO_BOX_TEXT(from));
++#endif
+ 		*history = add_history(*history, result);
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(from), *history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(from), *history);
++#endif
+ 
+ 		return result;
+ 	} else {
+@@ -311,8 +318,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(from_entry), -1);
+ 	if (prefs_common.summary_search_from_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(from_entry),
+ 				prefs_common.summary_search_from_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(from_entry),
++				prefs_common.summary_search_from_history);
++#endif
+ 	gtk_widget_show (from_entry);
+ 	gtk_table_attach (GTK_TABLE (table1), from_entry, 1, 3, 0, 1,
+ 			  GTK_EXPAND|GTK_FILL, 0, 0, 0);
+@@ -330,8 +342,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(to_entry), -1);
+ 	if (prefs_common.summary_search_to_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(to_entry),
+ 				prefs_common.summary_search_to_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(to_entry),
++				prefs_common.summary_search_to_history);
++#endif
+ 	gtk_widget_show (to_entry);
+ 	gtk_table_attach (GTK_TABLE (table1), to_entry, 1, 3, 1, 2,
+ 			  GTK_EXPAND|GTK_FILL, 0, 0, 0);
+@@ -349,8 +366,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(subject_entry), -1);
+ 	if (prefs_common.summary_search_subject_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(subject_entry),
+ 				prefs_common.summary_search_subject_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(subject_entry),
++				prefs_common.summary_search_subject_history);
++#endif
+ 	gtk_widget_show (subject_entry);
+ 	gtk_table_attach (GTK_TABLE (table1), subject_entry, 1, 3, 2, 3,
+ 			  GTK_EXPAND|GTK_FILL, 0, 0, 0);
+@@ -368,8 +390,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(body_entry), -1);
+ 	if (prefs_common.summary_search_body_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(body_entry),
+ 				prefs_common.summary_search_body_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(body_entry),
++				prefs_common.summary_search_body_history);
++#endif
+ 	gtk_widget_show (body_entry);
+ 	gtk_table_attach (GTK_TABLE (table1), body_entry, 1, 3, 3, 4,
+ 			  GTK_EXPAND|GTK_FILL, 0, 0, 0);
+@@ -387,8 +414,13 @@
+ #endif
+ 	gtk_combo_box_set_active(GTK_COMBO_BOX(adv_condition_entry), -1);
+ 	if (prefs_common.summary_search_adv_condition_history)
++#if !GTK_CHECK_VERSION(2, 24, 0)
+ 		combobox_set_popdown_strings(GTK_COMBO_BOX(adv_condition_entry),
+ 				prefs_common.summary_search_adv_condition_history);
++#else
++		combobox_set_popdown_strings(GTK_COMBO_BOX_TEXT(adv_condition_entry),
++				prefs_common.summary_search_adv_condition_history);
++#endif
+ 	gtk_widget_show (adv_condition_entry);
+ 	gtk_table_attach (GTK_TABLE (table1), adv_condition_entry, 1, 2, 4, 5,
+ 			  GTK_EXPAND|GTK_FILL, 0, 0, 0);

Modified: head/mail/claws-mail/pkg-plist
==============================================================================
--- head/mail/claws-mail/pkg-plist	Sat Oct  5 11:18:55 2013	(r329439)
+++ head/mail/claws-mail/pkg-plist	Sat Oct  5 11:25:29 2013	(r329440)
@@ -241,6 +241,7 @@ lib/claws-mail/plugins/pgpinline.deps
 lib/claws-mail/plugins/pgpmime.deps
 lib/claws-mail/plugins/smime.deps
 libdata/pkgconfig/claws-mail.pc
+man/man1/claws-mail.1.gz
 share/applications/claws-mail.desktop
 %%DATADIR%%/OOo2claws-mail.pl
 %%DATADIR%%/acroread2claws-mail.pl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-10-05 12:26:12 UTC
State Changed
From-To: open->closed

Fixed. Thanks for reporting.